rust-ammonia

Package information

State
ok

Scheduler parameters

Tracked by Koschei
True
Current priority
710
Manual priority
0
Static priority
0
Arch override
None
Skip resolution
False

Configure scheduling

Tracked by Koschei
Manual priority
Skip resolution
Arch override
Cancel

Dependency changes since last build

libstdc++
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
libgcc
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
gcc
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
cpp
10.0.1-0.4.fc32
10.0.1-0.5.fc32
4
libgomp
10.0.1-0.4.fc32
10.0.1-0.5.fc32
4
info
6.7-3.fc32
6.7-4.fc32
B
elfutils-default-yama-scope
0.178-7.fc32
0.178-8.fc32
B
annobin
9.01-1.fc32
9.01-2.fc32
B
elfutils
0.178-7.fc32
0.178-8.fc32
B
elfutils-libelf
0.178-7.fc32
0.178-8.fc32
B
elfutils-libs
0.178-7.fc32
0.178-8.fc32
B

Most recent builds

rust-regex+default-devel
1.3.2-1.fc32
1.3.3-1.fc32
2
llvm-libs
9.0.1-2.fc32
9.0.1-4.fc32
3
glibc
2.30.9000-29.fc32
2.30.9000-31.fc32
3
gcc
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
rust-regex-devel
1.3.2-1.fc32
1.3.3-1.fc32
3
rust-regex+std-devel
1.3.2-1.fc32
1.3.3-1.fc32
3
rust-regex+unicode-devel
1.3.2-1.fc32
1.3.3-1.fc32
3
libstdc++
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
rust-proc-macro2+default-devel
1.0.7-1.fc32
1.0.8-1.fc32
3
libgcc
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
rust-regex+perf-devel
1.3.2-1.fc32
1.3.3-1.fc32
3
rust-regex+perf-inline-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+perf-literal-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+unicode-bool-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+unicode-gencat-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+perf-dfa-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+unicode-segment-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+perf-cache-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-proc-macro2-devel
1.0.7-1.fc32
1.0.8-1.fc32
4
rust-regex+unicode-age-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
glibc-common
2.30.9000-29.fc32
2.30.9000-31.fc32
4
rust-proc-macro2+proc-macro-devel
1.0.7-1.fc32
1.0.8-1.fc32
4
rust-regex+unicode-case-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-regex+unicode-script-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
cpp
9.2.1-1.fc32.3
10.0.1-0.4.fc32
4
ca-certificates
2019.2.32-3.fc31
2020.2.40-2.fc32
4
libgomp
9.2.1-1.fc32.3
10.0.1-0.4.fc32
4
binutils
2.33.1-11.fc32
2.33.1-12.fc32
4
glibc-devel
2.30.9000-29.fc32
2.30.9000-31.fc32
4
glibc-minimal-langpack
2.30.9000-29.fc32
2.30.9000-31.fc32
4
rust-regex+unicode-perl-devel
1.3.2-1.fc32
1.3.3-1.fc32
4
rust-thread_local+default-devel
0.3.6-7.fc31
1.0.1-1.fc32
B
python3-six
1.12.0-7.fc32
1.14.0-1.fc32
B
p11-kit-trust
0.23.18.1-1.fc32
0.23.19-1.fc32
B
glibc-headers
2.30.9000-29.fc32
2.30.9000-31.fc32
B
binutils-gold
2.33.1-11.fc32
2.33.1-12.fc32
B
rust-thread_local-devel
0.3.6-7.fc31
1.0.1-1.fc32
B
libtool-ltdl
2.4.6-31.fc31
2.4.6-32.fc32
B
libblkid
2.35-0.5.fc32
2.35-1.fc32
B
p11-kit
0.23.18.1-1.fc32
0.23.19-1.fc32
B
libselinux
3.0-1.fc32
3.0-2.fc32
B
annobin
8.92-1.fc32
9.01-1.fc32
B
libxcrypt-devel
4.4.10-2.fc32
4.4.11-1.fc32
B
redhat-rpm-config
146-1.fc32
148-1.fc32
B
libfdisk
2.35-0.5.fc32
2.35-1.fc32
B
libmount
2.35-0.5.fc32
2.35-1.fc32
B
util-linux
2.35-0.5.fc32
2.35-1.fc32
B
libxcrypt
4.4.10-2.fc32
4.4.11-1.fc32
B
sqlite-libs
3.30.1-2.fc32
3.30.1-3.fc32
B
libuuid
2.35-0.5.fc32
2.35-1.fc32
B
kernel-headers
5.5.0-0.rc6.git0.1....
5.5.0-0.rc7.git0.1....
B
libsemanage
3.0-1.fc32
3.0-2.fc32
B
libsmartcols
2.35-0.5.fc32
2.35-1.fc32
B
tzdata
2019c-1.fc32
2019c-2.fc32
B
2020-01-24 02:02:45
Package dependencies resolved successfuly
2020-01-24 01:31:38
Package resolution failed
  • Problem: package rust-version-sync-devel-0.8.1-5.fc32.noarch requires (crate(regex/default) >= 1.1.0 with crate(regex/default) < 2.0.0), but none of the providers can be installed
    - package rust-regex+default-devel-1.3.2-1.fc32.noarch requires crate(regex/perf) = 1.3.2, but none of the providers can be installed
    - package rust-version-sync+default-devel-0.8.1-5.fc32.noarch requires crate(version-sync) = 0.8.1, but none of the providers can be installed
    - package rust-regex+perf-devel-1.3.2-1.fc32.noarch requires crate(regex/perf-cache) = 1.3.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(thread_local/default) >= 0.3.6 with crate(thread_local/default) < 0.4.0) needed by rust-regex+perf-cache-devel-1.3.2-1.fc32.noarch
  • Problem: package rust-regex+default-devel-1.3.2-1.fc32.noarch requires crate(regex/perf) = 1.3.2, but none of the providers can be installed
    - package rust-env_logger0.6+default-devel-0.6.2-1.fc32.noarch requires (crate(regex/default) >= 1.0.3 with crate(regex/default) < 2.0.0), but none of the providers can be installed
    - package rust-regex+perf-devel-1.3.2-1.fc32.noarch requires crate(regex/perf-cache) = 1.3.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(thread_local/default) >= 0.3.6 with crate(thread_local/default) < 0.4.0) needed by rust-regex+perf-cache-devel-1.3.2-1.fc32.noarch
rust-regex+default-devel
1.3.1-1.fc32
1.3.2-1.fc32
2
cargo
1.40.0-2.fc32
1.40.0-3.fc32
2
rust
1.40.0-2.fc32
1.40.0-3.fc32
2
rust-regex+unicode-devel
1.3.1-1.fc32
1.3.2-1.fc32
3
rust-regex-devel
1.3.1-1.fc32
1.3.2-1.fc32
3
llvm-libs
9.0.1-1.fc32
9.0.1-2.fc32
3
rust-regex+perf-devel
1.3.1-1.fc32
1.3.2-1.fc32
3
rust-toml+default-devel
0.5.5-1.fc32
0.5.6-1.fc32
3
rust-std-static
1.40.0-2.fc32
1.40.0-3.fc32
3
rust-regex+std-devel
1.3.1-1.fc32
1.3.2-1.fc32
3
rust-regex+unicode-bool-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-toml-devel
0.5.5-1.fc32
0.5.6-1.fc32
4
rust-regex+unicode-case-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex-syntax-devel
0.6.12-1.fc32
0.6.13-1.fc32
4
rust-regex+unicode-segment-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+perf-cache-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+unicode-age-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+perf-literal-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+perf-inline-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-memchr+default-devel
2.2.1-3.fc32
2.3.0-1.fc32
4
rust-regex+unicode-script-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+unicode-perl-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+unicode-gencat-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-regex+perf-dfa-devel
1.3.1-1.fc32
1.3.2-1.fc32
4
rust-rand0.6-devel
0.6.5-1.fc31
0.6.5-2.fc32
B
rust-autocfg+default-devel
0.1.7-1.fc32
1.0.0-1.fc32
B
rust-rand0.6+default-devel
0.6.5-1.fc31
0.6.5-2.fc32
B
rust-new_debug_unreachable+default-devel
1.0.3-3.fc31
1.0.4-1.fc32
B
rust-regex-syntax+unicode-script-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
zstd
1.4.2-1.fc31
1.4.4-1.fc32
B
rust-rand_chacha0.1-devel
0.1.1-1.fc31
0.1.1-2.fc32
B
rust-memchr-devel
2.2.1-3.fc32
2.3.0-1.fc32
B
rust-regex-syntax+unicode-age-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
rust-regex-syntax+unicode-bool-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
rust-regex-syntax+unicode-perl-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
rust-memchr+use_std-devel
2.2.1-3.fc32
2.3.0-1.fc32
B
rust-regex-syntax+unicode-gencat-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
rust-regex-syntax+unicode-case-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
rust-autocfg-devel
0.1.7-1.fc32
1.0.0-1.fc32
B
gc
7.6.4-6.fc31
8.0.4-2.fc32
B
shadow-utils
2:4.8-1.fc32
2:4.8-2.fc32
B
rust-rand0.6+alloc-devel
0.6.5-1.fc31
0.6.5-2.fc32
B
rust-rand_pcg0.1+default-devel
0.1.2-1.fc31
0.1.2-2.fc32
B
libzstd
1.4.2-1.fc31
1.4.4-1.fc32
B
rust-rand0.6+std-devel
0.6.5-1.fc31
0.6.5-2.fc32
B
rust-rand_chacha0.1+default-devel
0.1.1-1.fc31
0.1.1-2.fc32
B
rust-memchr+std-devel
2.3.0-1.fc32
B
rust-rand_pcg0.1-devel
0.1.2-1.fc31
0.1.2-2.fc32
B
libatomic_ops
7.6.10-2.fc31
rust-new_debug_unreachable-devel
1.0.3-3.fc31
1.0.4-1.fc32
B
rust-regex-syntax+unicode-segment-devel
0.6.12-1.fc32
0.6.13-1.fc32
B
2020-01-15 20:04:47
Package dependencies resolved successfuly
2020-01-15 18:38:23
Package resolution failed
  • Problem: package rust-string_cache_codegen+default-devel-0.4.4-1.fc32.noarch requires crate(string_cache_codegen) = 0.4.4, but none of the providers can be installed
    - package rust-markup5ever-devel-0.9.0-1.fc32.noarch requires (crate(string_cache_codegen/default) >= 0.4.0 with crate(string_cache_codegen/default) < 0.5.0), but none of the providers can be installed
    - package rust-string_cache_codegen-devel-0.4.4-1.fc32.noarch requires (crate(phf_generator/default) >= 0.7.15 with crate(phf_generator/default) < 0.8.0), but none of the providers can be installed
    - package rust-markup5ever+default-devel-0.9.0-1.fc32.noarch requires crate(markup5ever) = 0.9.0, but none of the providers can be installed
    - package rust-phf_generator+default-devel-0.7.24-5.fc31.noarch requires crate(phf_generator) = 0.7.24, but none of the providers can be installed
    - package rust-html5ever-devel-0.24.1-1.fc32.noarch requires (crate(markup5ever/default) >= 0.9.0 with crate(markup5ever/default) < 0.10.0), but none of the providers can be installed
    - package rust-phf_generator-devel-0.7.24-5.fc31.noarch requires (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0), but none of the providers can be installed
    - package rust-html5ever+default-devel-0.24.1-1.fc32.noarch requires crate(html5ever) = 0.24.1, but none of the providers can be installed
    - package rust-rand0.6+default-devel-0.6.5-1.fc31.noarch requires crate(rand) = 0.6.5, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.0 with crate(autocfg/default) < 0.2.0) needed by rust-rand0.6-devel-0.6.5-1.fc31.noarch
rust-url+default-devel
2.1.0-1.fc32
2.1.1-1.fc32
1
rust-termcolor+default-devel
1.0.5-4.fc31
1.1.0-1.fc32
2
rust
1.40.0-1.fc32
1.40.0-2.fc32
2
cargo
1.40.0-1.fc32
1.40.0-2.fc32
2
rust-url-devel
2.1.0-1.fc32
2.1.1-1.fc32
2
rust-syn+full-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
rust-syn+extra-traits-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
rust-syn+fold-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
rust-std-static
1.40.0-1.fc32
1.40.0-2.fc32
3
rust-syn+default-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
libcurl
7.67.0-2.fc32
7.68.0-1.fc32
3
rust-termcolor-devel
1.0.5-4.fc31
1.1.0-1.fc32
3
rust-syn+derive-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-syn+proc-macro-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
binutils
2.33.1-10.fc32
2.33.1-11.fc32
4
krb5-libs
1.17.1-4.fc32
1.17.1-5.fc32
4
rust-syn+printing-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-syn-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
crypto-policies
20191128-2.gitcd267a5....
20191128-4.gitcd267a5....
4
rust-syn+parsing-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
libcom_err
1.45.4-1.fc32
1.45.5-1.fc32
4
rust-syn+clone-impls-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
pcre2
10.34-3.fc32
10.34-4.fc32
B
elfutils-default-yama-scope
0.178-6.fc32
0.178-7.fc32
B
rpm
4.15.1-1.fc32
4.15.1-2.fc32
B
libsmartcols
2.35-0.4.fc32
2.35-0.5.fc32
B
rpm-build-libs
4.15.1-1.fc32
4.15.1-2.fc32
B
elfutils-libelf
0.178-6.fc32
0.178-7.fc32
B
curl
7.67.0-2.fc32
7.68.0-1.fc32
B
kernel-headers
5.5.0-0.rc5.git0.1....
5.5.0-0.rc6.git0.1....
B
libfdisk
2.35-0.4.fc32
2.35-0.5.fc32
B
elfutils-libs
0.178-6.fc32
0.178-7.fc32
B
libblkid
2.35-0.4.fc32
2.35-0.5.fc32
B
rpm-build
4.15.1-1.fc32
4.15.1-2.fc32
B
sqlite-libs
3.30.1-1.fc32
3.30.1-2.fc32
B
binutils-gold
2.33.1-10.fc32
2.33.1-11.fc32
B
libuuid
2.35-0.4.fc32
2.35-0.5.fc32
B
shadow-utils
2:4.6-16.fc32
2:4.8-1.fc32
B
info
6.7-2.fc32
6.7-3.fc32
B
libmount
2.35-0.4.fc32
2.35-0.5.fc32
B
rust-syn+visit-devel
1.0.11-1.fc32
1.0.13-1.fc32
B
elfutils
0.178-6.fc32
0.178-7.fc32
B
util-linux
2.35-0.4.fc32
2.35-0.5.fc32
B
rpm-libs
4.15.1-1.fc32
4.15.1-2.fc32
B
rust-atty+default-devel
0.2.13-1.fc32
0.2.14-1.fc32
2
rust-proc-macro2+default-devel
1.0.6-1.fc32
1.0.7-1.fc32
3
rust-atty-devel
0.2.13-1.fc32
0.2.14-1.fc32
3
glibc
2.30.9000-26.fc32
2.30.9000-29.fc32
3
libedit
3.1-30.20191211cv...
3.1-31.20191231cv...
4
krb5-libs
1.17.1-2.fc32
1.17.1-4.fc32
4
python3-babel
2.7.0-7.fc32
2.8.0-1.fc32
4
rust-proc-macro2-devel
1.0.6-1.fc32
1.0.7-1.fc32
4
rust-quick-error+default-devel
1.2.2-7.fc31
1.2.3-1.fc32
4
glibc-minimal-langpack
2.30.9000-26.fc32
2.30.9000-29.fc32
4
glibc-devel
2.30.9000-26.fc32
2.30.9000-29.fc32
4
glibc-common
2.30.9000-26.fc32
2.30.9000-29.fc32
4
rust-proc-macro2+proc-macro-devel
1.0.6-1.fc32
1.0.7-1.fc32
4
libxml2
2.9.10-1.fc32
2.9.10-2.fc32
B
python-pip-wheel
19.2.3-2.fc32
19.3.1-1.fc32
B
rust-smallvec-devel
1.0.0-1.fc32
1.1.0-1.fc32
B
kernel-headers
5.5.0-0.rc2.git0.1....
5.5.0-0.rc5.git0.1....
B
glibc-headers
2.30.9000-26.fc32
2.30.9000-29.fc32
B
rust-smallvec+default-devel
1.0.0-1.fc32
1.1.0-1.fc32
B
rust-quick-error-devel
1.2.2-7.fc31
1.2.3-1.fc32
B
python-srpm-macros
3-50.fc32
3-51.fc32
B
Previous history